sabre/uri 2.1.0 and 1.2.0 released

We just released sabre/uri 2.1.0 and 1.2.0. This release adds a new pure-php fallback parser for uris to work around two problems with PHP's parse_url(), which had trouble with uris that start with a scheme:/// (triple-slash) and relative uri containing an unencoded colon.

2.1.0 and 1.2.0 have an identical API, the only difference is that 2.1.0 uses strict PHP 7 typehints and 1.2.0 supports older PHP versions.

To upgrade sabre/uri, make sure your composer.json requires "^2.1" for sabre/uri and run composer update.

Full changelog can be found on Github

Tags: uri, release


Comments